# Class Output

java.lang.Object
uk.ac.starlink.topcat.func.Output

public class Output extends Object
Functions for writing text to standard output. They will cause output to be written to the console. If you just want values to appear in the activation action logging window, you can just use the expression to report on its own.

Since:
  2 Sep 2004
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`static String`
`print(double num)`
Outputs a numeric value to system output.
`static String`
`print(String str)`
Outputs a string value to system output.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### print

public static String print(String str)
Outputs a string value to system output.

Parameters:
  `str` - string value to output
Returns:
  short report message

### print

public static String print(double num)
Outputs a numeric value to system output.

Parameters:
  `num` - numeric value to output
Returns:
  short report message